EM installer introscope10.1.0.15linuxAMD64.bin exits and giving a "JRE libraries are missing or not compatible" message.

Document ID : KB000006628
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

  Customer gets the following error when running the EM installer 'introscope10.1.0.15linuxAMD64.bin':

 Preparing to install...

 Extracting the JRE from the installer archive...

 Unpacking the JRE...

 Extracting the installation resources from the installer archive... 

 Configuring the installer for this system's environment... 

 Launching installer... 

 JRE libraries are missing or not compatible.... 

 Exiting....

 

Environment:
APM Supported releases running Linux.
Cause:

 In this customer's case, the problem appears due to some cached Java files in the system's default /tmp directory.  

Resolution:

 Customers can:

 1) Create a new temporary storage such as '/tmp2' (Make sure there is enough space in the file system.), set the 777 permission, and rerun the installer to verify:

 mkdir /tmp2 

 chmod 777 /tmp2 

 ./introscope10.1.0.15linuxAMD64.bin 

 

 2) Clean up the /tmp directory and rerun 'introscope10.1.0.15linuxAMD64.bin' to try installing again.

  

Additional Information:

   if more information is needed, then the customer can enable the following Debug setting for the installer before running it: (In this customer's case, not much information is showing.)

 export LAX_DEBUG=true 

 ./introscope10.1.0.15linuxAMD64.bin